/*
 * This file is part of the OWL API.
 *
 * The contents of this file are subject to the LGPL License, Version 3.0.
 *
 * Copyright (C) 2011, The University of Manchester
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see http://www.gnu.org/licenses/.
 *
 *
 * Alternatively, the contents of this file may be used under the terms of the Apache License, Version 2.0
 * in which case, the provisions of the Apache License Version 2.0 are applicable instead of those above.
 *
 * Copyright 2011, The University of Manchester
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/* Generated By:JavaCC: Do not edit this line. KRSSParserConstants.java */
package org.coode.owl.krssparser;


/**
 * Token literal values and constants.
 * Generated by org.javacc.parser.OtherFilesGen#start()
 */
public interface KRSSParserConstants {

  /** End of File. */
  int EOF = 0;
  /** RegularExpression Id. */
  int COMMENT_START = 5;
  /** RegularExpression Id. */
  int IRI_START = 8;
  /** RegularExpression Id. */
  int IRI_END = 9;
  /** RegularExpression Id. */
  int STRING_LITERAL_START = 11;
  /** RegularExpression Id. */
  int STRINGLITERAL = 13;
  /** RegularExpression Id. */
  int OPENPAR = 15;
  /** RegularExpression Id. */
  int CLOSEPAR = 16;
  /** RegularExpression Id. */
  int ENDTBOX = 17;
  /** RegularExpression Id. */
  int ENDABOX = 18;
  /** RegularExpression Id. */
  int PRIMITIVECONCEPT = 19;
  /** RegularExpression Id. */
  int DEFINEPRIMITIVECONCEPT = 20;
  /** RegularExpression Id. */
  int DEFINECONCEPT = 21;
  /** RegularExpression Id. */
  int DEFINEPRIMITIVEROLE = 22;
  /** RegularExpression Id. */
  int SUBROLE = 23;
  /** RegularExpression Id. */
  int TRANSITIVE = 24;
  /** RegularExpression Id. */
  int ENUM = 25;
  /** RegularExpression Id. */
  int RANGE = 26;
  /** RegularExpression Id. */
  int AND = 27;
  /** RegularExpression Id. */
  int OR = 28;
  /** RegularExpression Id. */
  int NOT = 29;
  /** RegularExpression Id. */
  int ALL = 30;
  /** RegularExpression Id. */
  int SOME = 31;
  /** RegularExpression Id. */
  int NONE = 32;
  /** RegularExpression Id. */
  int ATLEAST = 33;
  /** RegularExpression Id. */
  int ATMOST = 34;
  /** RegularExpression Id. */
  int EXACTLY = 35;
  /** RegularExpression Id. */
  int INSTANCE = 36;
  /** RegularExpression Id. */
  int RELATED = 37;
  /** RegularExpression Id. */
  int EQUAL = 38;
  /** RegularExpression Id. */
  int DISTINCT = 39;
  /** RegularExpression Id. */
  int NAME = 40;
  /** RegularExpression Id. */
  int INT = 41;

  /** Lexical state. */
  int DEFAULT = 0;
  /** Lexical state. */
  int IN_COMMENT = 1;
  /** Lexical state. */
  int IN_IRI = 2;
  /** Lexical state. */
  int IN_STRING_LITERAL = 3;

  /** Literal token values. */
  String[] tokenImage = {
    "<EOF>",
    "\" \"",
    "\"\\n\"",
    "\"\\t\"",
    "\"\\r\"",
    "\";\"",
    "\"\\n\"",
    "<token of kind 7>",
    "\"<\"",
    "\">\"",
    "<token of kind 10>",
    "\"\\\"\"",
    "\"\\\\\\\"\"",
    "\"\\\"\"",
    "<token of kind 14>",
    "\"(\"",
    "\")\"",
    "\"end-tbox\"",
    "\"end-abox\"",
    "\"primitive-concept\"",
    "\"define-primitive-concept\"",
    "\"define-concept\"",
    "\"define-primitive-role\"",
    "\"subrole\"",
    "\"transitive\"",
    "\"enum\"",
    "\"range\"",
    "\"and\"",
    "\"or\"",
    "\"not\"",
    "\"all\"",
    "\"some\"",
    "\"none\"",
    "\"at-least\"",
    "\"at-most\"",
    "\"exactly\"",
    "\"instance\"",
    "\"related\"",
    "\"equal\"",
    "\"distinct\"",
    "<NAME>",
    "<INT>",
    "\":right-identity\"",
  };

}
